=== debian/control ===
Source: libbpp-seq
Section: libs
Priority: optional
Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  libbpp-core-dev (>= 2.0.1)
Standards-Version: 3.9.1

Package: libbpp-seq-dev
Section: libdevel
Architecture: any
Depends: libbpp-seq9 (= ${binary:Version}), ${misc:Depends},
  libbpp-core-dev (>= 2.0.1)
Description: The Bio++ Sequence library development files.
 Contains the Bio++ classes for sequence analysis.

Package: libbpp-seq9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libbpp-core2 (>= 2.0.1)
Description: The Bio++ Sequence library.
 Contains the Bio++ classes for sequence analysis.
