=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
   Bpp/Seq/SequencePositionIterators.cpp
   Bpp/Seq/SequenceTools.cpp
   Bpp/Seq/SequenceWithQualityTools.cpp
+  Bpp/Seq/SequenceWalker.cpp
   Bpp/Seq/Site.cpp
   Bpp/Seq/SiteExceptions.cpp
   Bpp/Seq/SiteTools.cpp
@@ -38,6 +39,8 @@
   Bpp/Seq/Alphabet/EchinodermMitochondrialCodonAlphabet.cpp
   Bpp/Seq/Alphabet/YeastMitochondrialCodonAlphabet.cpp
   Bpp/Seq/Alphabet/WordAlphabet.cpp
+  Bpp/Seq/Alphabet/RNY.cpp
+  Bpp/Seq/Alphabet/BinaryAlphabet.cpp
   Bpp/Seq/GeneticCode/GeneticCode.cpp
   Bpp/Seq/GeneticCode/StandardGeneticCode.cpp
   Bpp/Seq/GeneticCode/VertebrateMitochondrialGeneticCode.cpp
@@ -67,6 +70,7 @@
   Bpp/Seq/Io/Clustal.cpp
   Bpp/Seq/Io/Dcse.cpp
   Bpp/Seq/Io/Fasta.cpp
+  Bpp/Seq/Io/Fastq.cpp
   Bpp/Seq/Io/Mase.cpp
   Bpp/Seq/Io/MaseTools.cpp
   Bpp/Seq/Io/Phylip.cpp
@@ -79,6 +83,8 @@
   Bpp/Seq/Io/Stockholm.cpp
   Bpp/Seq/Io/MafAlignmentParser.cpp
   Bpp/Seq/Io/MafIterator.cpp
+  Bpp/Seq/Feature/SequenceFeature.cpp
+  Bpp/Seq/Feature/Gff/GffFeatureReader.cpp
   Bpp/Seq/App/SequenceApplicationTools.cpp
   )
 
@@ -94,6 +100,7 @@
   Bpp/Seq/SequenceWithQuality.h
   Bpp/Seq/SequenceTools.h
   Bpp/Seq/SequenceWithQualityTools.h
+  Bpp/Seq/SequenceWalker.h
   Bpp/Seq/SiteExceptions.h
   Bpp/Seq/Site.h
   Bpp/Seq/SiteTools.h
@@ -123,6 +130,8 @@
   Bpp/Seq/Alphabet/EchinodermMitochondrialCodonAlphabet.h
   Bpp/Seq/Alphabet/YeastMitochondrialCodonAlphabet.h
   Bpp/Seq/Alphabet/WordAlphabet.h
+  Bpp/Seq/Alphabet/RNY.h
+  Bpp/Seq/Alphabet/BinaryAlphabet.h
   Bpp/Seq/GeneticCode/GeneticCode.h
   Bpp/Seq/GeneticCode/StandardGeneticCode.h
   Bpp/Seq/GeneticCode/VertebrateMitochondrialGeneticCode.h
@@ -135,6 +144,7 @@
   Bpp/Seq/Io/Clustal.h
   Bpp/Seq/Io/Dcse.h
   Bpp/Seq/Io/Fasta.h
+  Bpp/Seq/Io/Fastq.h
   Bpp/Seq/Io/IOSequence.h
   Bpp/Seq/Io/ISequence.h
   Bpp/Seq/Io/ISequenceStream.h
@@ -192,6 +202,8 @@
   Bpp/Seq/StateProperties/AASEASup30Index.h
   Bpp/Seq/StateProperties/AASEAInf10Index.h
   Bpp/Seq/StateProperties/AASEA1030Index.h
+  Bpp/Seq/Feature/SequenceFeature.h
+  Bpp/Seq/Feature/Gff/GffFeatureReader.h
   Bpp/Seq/App/SequenceApplicationTools.h
   )
