=== test/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,10 @@
 TARGET_LINK_LIBRARIES(test_alphabets ${LIBS})
 ADD_TEST(test_alphabets "test_alphabets")
 
+ADD_EXECUTABLE(test_sequences test_sequences.cpp)
+TARGET_LINK_LIBRARIES(test_sequences ${LIBS})
+ADD_TEST(test_sequences "test_sequences")
+
 ADD_EXECUTABLE(test_io test_io.cpp)
 TARGET_LINK_LIBRARIES(test_io ${LIBS})
 ADD_TEST(test_io "test_io")
@@ -36,16 +40,32 @@
 TARGET_LINK_LIBRARIES(test_containers ${LIBS})
 ADD_TEST(test_containers "test_containers")
 
+ADD_EXECUTABLE(test_alignment_scores test_alignment_scores.cpp)
+TARGET_LINK_LIBRARIES(test_alignment_scores ${LIBS})
+ADD_TEST(test_alignment_scores "test_alignment_scores")
+
+ADD_EXECUTABLE(test_walker test_walker.cpp)
+TARGET_LINK_LIBRARIES(test_walker ${LIBS})
+ADD_TEST(test_walker "test_walker")
+
 ADD_EXECUTABLE(test_bowker test_bowker.cpp)
 TARGET_LINK_LIBRARIES(test_bowker ${LIBS})
 ADD_TEST(test_bowker "test_bowker")
 
+ADD_EXECUTABLE(test_gff test_gff.cpp)
+TARGET_LINK_LIBRARIES(test_gff ${LIBS})
+ADD_TEST(test_gff "test_gff")
+
+ADD_EXECUTABLE(test_fastq test_fastq.cpp)
+TARGET_LINK_LIBRARIES(test_fastq ${LIBS})
+ADD_TEST(test_fastq "test_fastq")
+
 IF(UNIX)
-  SET_PROPERTY(TEST test_alphabets test_io test_containers test_bowker PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
+  SET_PROPERTY(TEST test_alphabets test_sequences test_io test_containers test_bowker test_gff test_fastq PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
 ENDIF()
 
 IF(APPLE)
-  SET_PROPERTY(TEST test_alphabets test_io test_containers test_bowker PROPERTY ENVIRONMENT "DYLD_LIBRARY_PATH=$ENV{DYLD_LIBRARY_PATH}:../src")
+  SET_PROPERTY(TEST test_alphabets test_sequences test_io test_containers test_bowker test_gff test_fastq PROPERTY ENVIRONMENT "DYLD_LIBRARY_PATH=$ENV{DYLD_LIBRARY_PATH}:../src")
 ENDIF()
 
 IF(WIN32)
