=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Created: 20/08/2009
 
 # File list
-set(CPP_FILES
+SET(CPP_FILES
   Bpp/Seq/DNAToRNA.cpp
   Bpp/Seq/NucleicAcidsReplication.cpp
   Bpp/Seq/Sequence.cpp
@@ -47,16 +47,16 @@
   Bpp/Seq/GeneticCode/InvertebrateMitochondrialGeneticCode.cpp
   Bpp/Seq/GeneticCode/EchinodermMitochondrialGeneticCode.cpp
   Bpp/Seq/GeneticCode/YeastMitochondrialGeneticCode.cpp
-  Bpp/Seq/StateProperties/GranthamAAChemicalDistance.cpp
-  Bpp/Seq/StateProperties/MiyataAAChemicalDistance.cpp
-  Bpp/Seq/StateProperties/BLOSUM50.cpp
-  Bpp/Seq/StateProperties/DefaultNucleotideScore.cpp
-  Bpp/Seq/StateProperties/AAIndex1Entry.cpp
-  Bpp/Seq/StateProperties/AAIndex2Entry.cpp
-  Bpp/Seq/StateProperties/SimpleScore.cpp
-  Bpp/Seq/StateProperties/__GranthamMatrixCode
-  Bpp/Seq/StateProperties/__MiyataMatrixCode
-  Bpp/Seq/StateProperties/__BLOSUM50MatrixCode
+  Bpp/Seq/AlphabetIndex/GranthamAAChemicalDistance.cpp
+  Bpp/Seq/AlphabetIndex/MiyataAAChemicalDistance.cpp
+  Bpp/Seq/AlphabetIndex/BLOSUM50.cpp
+  Bpp/Seq/AlphabetIndex/DefaultNucleotideScore.cpp
+  Bpp/Seq/AlphabetIndex/AAIndex1Entry.cpp
+  Bpp/Seq/AlphabetIndex/AAIndex2Entry.cpp
+  Bpp/Seq/AlphabetIndex/SimpleScore.cpp
+  Bpp/Seq/AlphabetIndex/__GranthamMatrixCode
+  Bpp/Seq/AlphabetIndex/__MiyataMatrixCode
+  Bpp/Seq/AlphabetIndex/__BLOSUM50MatrixCode
   Bpp/Seq/Container/AbstractSequenceContainer.cpp
   Bpp/Seq/Container/AlignedSequenceContainer.cpp
   Bpp/Seq/Container/MapSequenceContainer.cpp
@@ -66,11 +66,11 @@
   Bpp/Seq/Container/VectorSequenceContainer.cpp
   Bpp/Seq/Container/VectorSiteContainer.cpp
   Bpp/Seq/Container/CompressedVectorSiteContainer.cpp
-  Bpp/Seq/Container/SiteIterator.cpp
+  Bpp/Seq/Container/SiteContainerIterator.cpp
+  Bpp/Seq/Container/SequenceContainerIterator.cpp
   Bpp/Seq/Io/Clustal.cpp
   Bpp/Seq/Io/Dcse.cpp
   Bpp/Seq/Io/Fasta.cpp
-  Bpp/Seq/Io/Fastq.cpp
   Bpp/Seq/Io/Mase.cpp
   Bpp/Seq/Io/MaseTools.cpp
   Bpp/Seq/Io/Phylip.cpp
@@ -81,20 +81,25 @@
   Bpp/Seq/Io/NexusIoSequence.cpp
   Bpp/Seq/Io/NexusTools.cpp
   Bpp/Seq/Io/Stockholm.cpp
-  Bpp/Seq/Io/MafAlignmentParser.cpp
-  Bpp/Seq/Io/MafIterator.cpp
-  Bpp/Seq/Feature/SequenceFeature.cpp
-  Bpp/Seq/Feature/Gff/GffFeatureReader.cpp
+  Bpp/Seq/Io/StreamSequenceIterator.cpp
+  Bpp/Seq/Io/BppOSequenceReaderFormat.cpp
+  Bpp/Seq/Io/BppOSequenceWriterFormat.cpp
+  Bpp/Seq/Io/BppOAlignmentReaderFormat.cpp
+  Bpp/Seq/Io/BppOAlignmentWriterFormat.cpp
+  Bpp/Seq/Io/BppOSequenceStreamReaderFormat.cpp
+  Bpp/Seq/Io/BppOAlphabetIndex1Format.cpp
+  Bpp/Seq/Io/BppOAlphabetIndex2Format.cpp
   Bpp/Seq/App/SequenceApplicationTools.cpp
   )
 
-set(H_FILES
+SET(H_FILES
   Bpp/Seq/CodonSiteTools.h
   Bpp/Seq/DNAToRNA.h
   Bpp/Seq/NucleicAcidsReplication.h
   Bpp/Seq/SequenceExceptions.h
   Bpp/Seq/SequencePositionIterators.h
   Bpp/Seq/Sequence.h
+  Bpp/Seq/SequenceIterator.h
   Bpp/Seq/SequenceWithAnnotation.h
   Bpp/Seq/SequenceWithAnnotationTools.h
   Bpp/Seq/SequenceWithQuality.h
@@ -103,6 +108,7 @@
   Bpp/Seq/SequenceWalker.h
   Bpp/Seq/SiteExceptions.h
   Bpp/Seq/Site.h
+  Bpp/Seq/SiteIterator.h
   Bpp/Seq/SiteTools.h
   Bpp/Seq/StringSequenceTools.h
   Bpp/Seq/SymbolList.h
@@ -139,12 +145,12 @@
   Bpp/Seq/GeneticCode/EchinodermMitochondrialGeneticCode.h
   Bpp/Seq/GeneticCode/YeastMitochondrialGeneticCode.h
   Bpp/Seq/Io/AbstractISequence.h
-  Bpp/Seq/Io/AbstractISequence2.h
+  Bpp/Seq/Io/AbstractIAlignment.h
   Bpp/Seq/Io/AbstractOSequence.h
+  Bpp/Seq/Io/AbstractOAlignment.h
   Bpp/Seq/Io/Clustal.h
   Bpp/Seq/Io/Dcse.h
   Bpp/Seq/Io/Fasta.h
-  Bpp/Seq/Io/Fastq.h
   Bpp/Seq/Io/IOSequence.h
   Bpp/Seq/Io/ISequence.h
   Bpp/Seq/Io/ISequenceStream.h
@@ -160,10 +166,16 @@
   Bpp/Seq/Io/NexusIOSequence.h
   Bpp/Seq/Io/NexusTools.h
   Bpp/Seq/Io/Stockholm.h
-  Bpp/Seq/Io/MafAlignmentParser.h
-  Bpp/Seq/Io/MafIterator.h
   Bpp/Seq/Io/IoSequenceFactory.h
   Bpp/Seq/Io/SequenceFileIndex.h
+  Bpp/Seq/Io/StreamSequenceIterator.h
+  Bpp/Seq/Io/BppOSequenceReaderFormat.h
+  Bpp/Seq/Io/BppOSequenceWriterFormat.h
+  Bpp/Seq/Io/BppOAlignmentReaderFormat.h
+  Bpp/Seq/Io/BppOAlignmentWriterFormat.h
+  Bpp/Seq/Io/BppOSequenceStreamReaderFormat.h
+  Bpp/Seq/Io/BppOAlphabetIndex1Format.h
+  Bpp/Seq/Io/BppOAlphabetIndex2Format.h
   Bpp/Seq/Container/VectorSequenceContainer.h
   Bpp/Seq/Container/VectorSiteContainer.h
   Bpp/Seq/Container/CompressedVectorSiteContainer.h
@@ -177,56 +189,58 @@
   Bpp/Seq/Container/SiteContainerExceptions.h
   Bpp/Seq/Container/SiteContainer.h
   Bpp/Seq/Container/SiteContainerTools.h
-  Bpp/Seq/Container/SiteIterator.h
-  Bpp/Seq/StateProperties/AlphabetIndex1.h
-  Bpp/Seq/StateProperties/AlphabetIndex2.h
-  Bpp/Seq/StateProperties/GranthamAAChemicalDistance.h
-  Bpp/Seq/StateProperties/GranthamAAPolarityIndex.h
-  Bpp/Seq/StateProperties/GranthamAAVolumeIndex.h
-  Bpp/Seq/StateProperties/MiyataAAChemicalDistance.h
-  Bpp/Seq/StateProperties/BLOSUM50.h
-  Bpp/Seq/StateProperties/SimpleIndexDistance.h
-  Bpp/Seq/StateProperties/DefaultNucleotideScore.h
-  Bpp/Seq/StateProperties/AAIndex1Entry.h
-  Bpp/Seq/StateProperties/AAIndex2Entry.h
-  Bpp/Seq/StateProperties/KleinAANetChargeIndex.h
-  Bpp/Seq/StateProperties/AAChargeIndex.h
-  Bpp/Seq/StateProperties/SimpleScore.h
-  Bpp/Seq/StateProperties/AAChouFasmanAHelixIndex.h
-  Bpp/Seq/StateProperties/AAChouFasmanBSheetIndex.h
-  Bpp/Seq/StateProperties/AAChouFasmanTurnIndex.h
-  Bpp/Seq/StateProperties/AAVolumeIndex.h
-  Bpp/Seq/StateProperties/AASurfaceIndex.h
-  Bpp/Seq/StateProperties/AAMassIndex.h
-  Bpp/Seq/StateProperties/AAChenGuHuangHydrophobicityIndex.h
-  Bpp/Seq/StateProperties/AASEASup30Index.h
-  Bpp/Seq/StateProperties/AASEAInf10Index.h
-  Bpp/Seq/StateProperties/AASEA1030Index.h
-  Bpp/Seq/Feature/SequenceFeature.h
-  Bpp/Seq/Feature/Gff/GffFeatureReader.h
+  Bpp/Seq/Container/SiteContainerIterator.h
+  Bpp/Seq/AlphabetIndex/AlphabetIndex1.h
+  Bpp/Seq/AlphabetIndex/AlphabetIndex2.h
+  Bpp/Seq/AlphabetIndex/GranthamAAChemicalDistance.h
+  Bpp/Seq/AlphabetIndex/GranthamAAPolarityIndex.h
+  Bpp/Seq/AlphabetIndex/GranthamAAVolumeIndex.h
+  Bpp/Seq/AlphabetIndex/MiyataAAChemicalDistance.h
+  Bpp/Seq/AlphabetIndex/BLOSUM50.h
+  Bpp/Seq/AlphabetIndex/SimpleIndexDistance.h
+  Bpp/Seq/AlphabetIndex/DefaultNucleotideScore.h
+  Bpp/Seq/AlphabetIndex/AAIndex1Entry.h
+  Bpp/Seq/AlphabetIndex/AAIndex2Entry.h
+  Bpp/Seq/AlphabetIndex/KleinAANetChargeIndex.h
+  Bpp/Seq/AlphabetIndex/AAChargeIndex.h
+  Bpp/Seq/AlphabetIndex/SimpleScore.h
+  Bpp/Seq/AlphabetIndex/AAChouFasmanAHelixIndex.h
+  Bpp/Seq/AlphabetIndex/AAChouFasmanBSheetIndex.h
+  Bpp/Seq/AlphabetIndex/AAChouFasmanTurnIndex.h
+  Bpp/Seq/AlphabetIndex/AAVolumeIndex.h
+  Bpp/Seq/AlphabetIndex/AASurfaceIndex.h
+  Bpp/Seq/AlphabetIndex/AAMassIndex.h
+  Bpp/Seq/AlphabetIndex/AAChenGuHuangHydrophobicityIndex.h
+  Bpp/Seq/AlphabetIndex/AASEASup30Index.h
+  Bpp/Seq/AlphabetIndex/AASEAInf10Index.h
+  Bpp/Seq/AlphabetIndex/AASEA1030Index.h
   Bpp/Seq/App/SequenceApplicationTools.h
   )
 
 # Build the static lib
-add_library(bppseq-static STATIC ${CPP_FILES})
-set_target_properties(bppseq-static
+ADD_LIBRARY(bppseq-static STATIC ${CPP_FILES})
+SET_TARGET_PROPERTIES(bppseq-static
   PROPERTIES OUTPUT_NAME bpp-seq
   CLEAN_DIRECT_OUTPUT 1
   )
-target_link_libraries(bppseq-static ${LIBS})
+TARGET_LINK_LIBRARIES(bppseq-static ${LIBS})
 
 # Build the shared lib
-add_library(bppseq-shared SHARED ${CPP_FILES})
-set_target_properties(bppseq-shared
+ADD_LIBRARY(bppseq-shared SHARED ${CPP_FILES})
+SET_TARGET_PROPERTIES(bppseq-shared
   PROPERTIES OUTPUT_NAME bpp-seq
   CLEAN_DIRECT_OUTPUT 1
   VERSION ${BPPSEQ_VERSION}
   SOVERSION ${BPPSEQ_VERSION_MAJOR}
   )
-target_link_libraries(bppseq-shared ${LIBS})
+TARGET_LINK_LIBRARIES(bppseq-shared ${LIBS})
 
 # Install libs
-install(TARGETS bppseq-static bppseq-shared DESTINATION lib${LIB_SUFFIX})
+INSTALL(TARGETS bppseq-static bppseq-shared DESTINATION lib${LIB_SUFFIX})
 
 # Install headers
-install(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN "*.h" PATTERN "*.all")
+INSTALL(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN "*.h")
+
+# Generate generic include files (.all)
+INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${CMAKE_SOURCE_DIR}/genIncludes.sh ${CMAKE_PREFIX_PATH}/include/Bpp)")
+
