=== debian/changelog ===
libbpp-seq (2.1.0-1ubuntu3) wily; urgency=medium

  * Bah, remove hardcoded dep on libbpp-core (old package name)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 11 Aug 2015 12:52:55 +0100

libbpp-seq (2.1.0-1ubuntu2) wily; urgency=medium

  * No-change rebuild against new libbpp-core

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 11 Aug 2015 12:36:29 +0100

libbpp-seq (2.1.0-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 04:43:14 +0000

libbpp-seq (2.1.0-1) unstable; urgency=low

  * 'omics' tools now in bpp-seq-omics
  * Extended BppO support
  * StateProperties renamed to AlphabetIndex

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 05 Mar 2013 14:31:00 +0100

libbpp-seq (2.0.3-1) unstable; urgency=low

  * Bugs fixed in maf parser + new iterators
  * Added support for GFF
  * Added support for FastQ
  * Several bugs fixed

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Feb 2012 14:00:00 +0100

libbpp-seq (2.0.2-1) unstable; urgency=low

  * RFP: Bio++ -- The Bio++ bioinformatics libraries. (Closes: #616373).
  * Packages are now non-native.
  * Bugs fixed in maf parser.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Jun 2011 11:00:00 +0100

libbpp-seq (2.0.1) unstable; urgency=low

  * Fixed copyright and rules file.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 28 Feb 2011 09:00:00 +0100

libbpp-seq (2.0.0) unstable; urgency=low

  * New source files organization.
  * More NGS tools: sequence annotations, quality scores, file parsers, etc.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 07 Feb 2011 09:00:00 +0100

libbpp-seq (1.7.0) unstable; urgency=low

  * Several bug fixed. Compilation with -Weffc++.
  * New compressed sites container.
  * Improved security by changing several pointers to references.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 25 Mar 2010 10:02:50 +0100

libbpp-seq (1.6.0) unstable; urgency=low

  * New support for Nexus sequence files.
  * Update for version 1.8 of Bio++.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Wed, 10 Jun 2009 11:28:58 +0100

libbpp-seq (1.5.0) unstable; urgency=low

  * Several bugs fixed, new Phred sequence format, speed improvements.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Thu, 11 Dec 2008 12:21:37 +0100

libbpp-seq (1.4.1) unstable; urgency=low

  * Initial Release.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Mon, 21 Jul 2008 15:17:26 +0200
