=== debian/control ===
Source: libbpp-seq
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  libbpp-core-dev (>= 2.1.0)
Standards-Version: 3.9.1

Package: libbpp-seq-dev
Section: libdevel
Architecture: any
Depends: libbpp-seq9v5 (= ${binary:Version}), ${misc:Depends},
  libbpp-core-dev (>= 2.1.0)
Description: Bio++ Sequence library development files.
 Contains the Bio++ classes for sequence analysis.

Package: libbpp-seq9v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libbpp-seq9
Replaces: libbpp-seq9
Description: Bio++ Sequence library.
 Contains the Bio++ classes for sequence analysis.
