=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
   Bpp/Seq/DistanceMatrix.cpp
   Bpp/Seq/CodonSiteTools.cpp
   Bpp/Seq/Alphabet/AbstractAlphabet.cpp
+  Bpp/Seq/Alphabet/LetterAlphabet.cpp
   Bpp/Seq/Alphabet/AlphabetExceptions.cpp
   Bpp/Seq/Alphabet/AlphabetTools.cpp
   Bpp/Seq/Alphabet/CodonAlphabet.cpp
@@ -33,20 +34,19 @@
   Bpp/Seq/Alphabet/DNA.cpp
   Bpp/Seq/Alphabet/ProteicAlphabet.cpp
   Bpp/Seq/Alphabet/RNA.cpp
-  Bpp/Seq/Alphabet/StandardCodonAlphabet.cpp
-  Bpp/Seq/Alphabet/VertebrateMitochondrialCodonAlphabet.cpp
-  Bpp/Seq/Alphabet/InvertebrateMitochondrialCodonAlphabet.cpp
-  Bpp/Seq/Alphabet/EchinodermMitochondrialCodonAlphabet.cpp
-  Bpp/Seq/Alphabet/YeastMitochondrialCodonAlphabet.cpp
   Bpp/Seq/Alphabet/WordAlphabet.cpp
   Bpp/Seq/Alphabet/RNY.cpp
   Bpp/Seq/Alphabet/BinaryAlphabet.cpp
+  Bpp/Seq/Alphabet/IntegerAlphabet.cpp
+  Bpp/Seq/Alphabet/NumericAlphabet.cpp
   Bpp/Seq/GeneticCode/GeneticCode.cpp
   Bpp/Seq/GeneticCode/StandardGeneticCode.cpp
   Bpp/Seq/GeneticCode/VertebrateMitochondrialGeneticCode.cpp
   Bpp/Seq/GeneticCode/InvertebrateMitochondrialGeneticCode.cpp
   Bpp/Seq/GeneticCode/EchinodermMitochondrialGeneticCode.cpp
   Bpp/Seq/GeneticCode/YeastMitochondrialGeneticCode.cpp
+  Bpp/Seq/GeneticCode/AscidianMitochondrialGeneticCode.cpp
+  Bpp/Seq/GeneticCode/MoldMitochondrialGeneticCode.cpp
   Bpp/Seq/AlphabetIndex/GranthamAAChemicalDistance.cpp
   Bpp/Seq/AlphabetIndex/MiyataAAChemicalDistance.cpp
   Bpp/Seq/AlphabetIndex/BLOSUM50.cpp
@@ -130,14 +130,12 @@
   Bpp/Seq/Alphabet/ProteicAlphabet.h
   Bpp/Seq/Alphabet/ProteicAlphabetState.h
   Bpp/Seq/Alphabet/RNA.h
-  Bpp/Seq/Alphabet/StandardCodonAlphabet.h
-  Bpp/Seq/Alphabet/VertebrateMitochondrialCodonAlphabet.h
-  Bpp/Seq/Alphabet/InvertebrateMitochondrialCodonAlphabet.h
-  Bpp/Seq/Alphabet/EchinodermMitochondrialCodonAlphabet.h
-  Bpp/Seq/Alphabet/YeastMitochondrialCodonAlphabet.h
   Bpp/Seq/Alphabet/WordAlphabet.h
   Bpp/Seq/Alphabet/RNY.h
   Bpp/Seq/Alphabet/BinaryAlphabet.h
+  Bpp/Seq/Alphabet/IntegerAlphabet.h
+  Bpp/Seq/Alphabet/AlphabetNumericState.h
+  Bpp/Seq/Alphabet/NumericAlphabet.h
   Bpp/Seq/GeneticCode/GeneticCode.h
   Bpp/Seq/GeneticCode/StandardGeneticCode.h
   Bpp/Seq/GeneticCode/VertebrateMitochondrialGeneticCode.h
@@ -192,6 +190,7 @@
   Bpp/Seq/Container/SiteContainerIterator.h
   Bpp/Seq/AlphabetIndex/AlphabetIndex1.h
   Bpp/Seq/AlphabetIndex/AlphabetIndex2.h
+  Bpp/Seq/AlphabetIndex/UserAlphabetIndex1.h
   Bpp/Seq/AlphabetIndex/GranthamAAChemicalDistance.h
   Bpp/Seq/AlphabetIndex/GranthamAAPolarityIndex.h
   Bpp/Seq/AlphabetIndex/GranthamAAVolumeIndex.h
