=== debian/changelog ===
libbpp-seq (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Packaging moved to Git
  * Better description
  * Team maintenance in Debian Med team
  * Add watch file
  * debhelper 9
  * DEP5
  * short dh rules file using d-shlibs
  * Library transition
    Closes: #791099

 -- Andreas Tille <tille@debian.org>  Wed, 13 Apr 2016 15:17:21 +0200
