=== debian/control ===
Source: libbpp-seq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               d-shlibs,
               libbpp-core-dev (>= 2.2.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page

Package: libbpp-seq-dev
Architecture: any
Section: libdevel
Depends: libbpp-seq9v5 (= ${binary:Version}),
         ${misc:Depends},
         libbpp-core-dev (>= 2.2.0)
Description: Bio++ Sequence library development files
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the static library and the header files of Bio++
 classes for sequence analysis classes.

Package: libbpp-seq9v5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libbpp-core2v5 (>= 2.2.0)
Conflicts: libbpp-seq9
Replaces: libbpp-seq9
Description: Bio++ Sequence library
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the Bio++ classes for sequence analysis.
